# -*- coding: utf-8 -*-
# @Time    : 2023/8/11 16:02
# @Author  : limaoyi
# @File    : accountant.py
# @Software: PyCharm
# @GitHub  : https://github.com/limaoyi1/GPT-prompt
# accountant_prompt.py

if __name__ == "__main__":
    from gpt_prompt.base.base_class import Prompt
else:
    from ..base.base_class import Prompt


class AccountantPrompt(Prompt):

    def __init__(self, requirement="I need financial advice for my business"):
        super().__init__()
        self.english = f"""I want you to act as an accountant, respond in Chinese and come up with creative ways to manage finances. You'll need to consider budgeting, investment strategies and risk management when creating a financial plan for your client. In some cases, you may also need to provide advice on taxation laws and regulations in order to help them maximize their profits. My first suggestion request is '{requirement}'"""

        self.chinese = f"""我想让您扮演一个会计师，用中文回复，并想出创造性的方法来管理财务。在为您的客户制定财务计划时，您需要考虑预算、投资策略和风险管理。在某些情况下，您还可能需要提供有关税法和法规的建议，以帮助他们最大化利润。我的第一个请求是'{requirement}'"""

        self.traditional_chinese = f"""我想讓您扮演一個會計師，用中文回覆，並想出創造性的方法來管理財務。在為您的客戶制定財務計劃時，您需要考慮預算、投資策略和風險管理。在某些情況下，您還可能需要提供有關稅法和法規的建議，以幫助他們最大化利潤。我的第一個請求是‘{requirement}’"""

    def build(self, language="en"):
        result = super().build(language)
        return result


# 测试方法
if __name__ == "__main__":
    build = AccountantPrompt().build(language="en")
    print(build)
